import curriculum from "./curriculum.vue"
export default curriculum

import modalFrame from "@/plugin/modalFrame"
import curriculumDetail from "./curriculumDetail.vue"
import setUpCourseware from "./setUpCourseware.vue"
/**
 * 课表详情
 */
export const useCurriculumDetail = (id: string) => {
   modalFrame({
      template: curriculumDetail,
      width: 989,
      height: 760,
      btnShow: [],
      modalData: {
         id
      },
      maskClose: true,
      className: "curriculumDetail"
   })
}

/**
 * 课表配置课件
 */
export const useSetUpCourseware = (id: string, callBack: () => void) => {
   modalFrame({
      template: setUpCourseware,
      width: 924,
      height: 452,
      btnShow: [],
      modalData: {
         id
      },
      maskClose: true,
      className: "setUpCourseware",
      onOk(vm) {
         vm.remove()
         callBack()
      }
   })
}
